## ocamldap 1.4.6

=== Makefile ===
# $Id: Makefile,v 1.23 2003/11/07 01:05:14 a_eric Exp $

CAMLC=ocamlc
CAMLLEX=ocamllex
CAMLOPT=ocamlopt
CAMLP4O=camlp4o
CPP=cpp

# things defined to for the preprocessor
# add HAVE_KERBEROS to compile with kerberos support
PPDEFINES=

.SUFFIXES:	.ml .mli .cmo .cmi .cmx .o
.PHONY: all install tags clean test

.mll.ml:
		$(CAMLLEX) $<
.mli.cmi:
		$(CAMLC) -ccopt "$(CFLAGS)" -c $<
.ml.cmo:
		$(CAMLC) -ccopt "$(CFLAGS)" -c $<
.ml.cmx:	
		$(CAMLOPT) -inline 100 -ccopt "$(CFLAGS)" -c $<
.c.o:
		$(CAMLC) -ccopt "$(CFLAGS) $(PPDEFINES)" -c $<

all: ocamldap.cma ocamldap.cmxa testbc testopt testoo testoobc

dep: ocamldap ocamldap.i

install: all
	ocamlfind install $(DESTDIR) ocamldap ocamldap.mli ocamldap.cmi ooldap.mli ooldif.mli ooldap.cmi ooldif.cmi ocamldap.cma ocamldap.cmxa ocamldap.a libocamldap.a schemaparser.cmi META

# preprocess
ocamldap.i:
	$(CPP) -traditional-cpp $(PPDEFINES) ocamldap.mli4 | grep -v "^\#.*" >ocamldap.mli

ocamldap:
	$(CPP) -traditional-cpp $(PPDEFINES) ocamldap.ml4 | grep -v "^\#.*" >ocamldap.ml 

schemalexer.ml:
	$(CAMLLEX) schemalexer.mll

ocamldap.cma: ulist.cmo schemalexer.ml schemalexer.cmo schemaparser.cmo ocamldap_tags.h ocamldap.cmi \
ooldap.cmi ooldif.cmi ocamldap.cmo ooldap.cmo ldifparser.cmo ooldif.cmo libocamldap.a
	$(CAMLC) -a -o ocamldap.cma -cclib -lldap -cclib -llber -cclib -locamldap ocamldap.cmo \
ldifparser.cmo schemalexer.cmo schemaparser.cmo ulist.cmo ooldap.cmo ooldif.cmo

ocamldap.cmxa: ulist.cmx schemalexer.ml schemalexer.cmx schemaparser.cmx ocamldap_tags.h ocamldap.cmi \
ooldap.cmi ooldif.cmi ocamldap.cmx ooldap.cmx ldifparser.cmx ooldif.cmx libocamldap.a
	$(CAMLOPT) -a -o ocamldap.cmxa -cclib -lldap -cclib -llber -cclib -locamldap \
ocamldap.cmx schemalexer.cmx schemaparser.cmx ulist.cmx ooldap.cmx ldifparser.cmx ooldif.cmx

libocamldap.a: libocamldap.o
	ar r libocamldap.a libocamldap.o
	ranlib libocamldap.a

ocamldap_tags.h: varcc
	./varcc < ocamldap_tags.var -c ocamldap_tags.c -h ocamldap_tags.h

testbc: ocamldap.cma test.cmo
	$(CAMLC) -o testbc -custom -ccopt "-L. $(CFLAGS)" ocamldap.cma test.ml

testopt: ocamldap.cmxa test.cmx
	$(CAMLOPT) -o testopt -ccopt "-L. $(CFLAGS)" ocamldap.cmxa test.ml

testoo: ocamldap.cmxa
	$(CAMLOPT) -o testoo -ccopt "-L. $(CFLAGS)" str.cmxa ocamldap.cmxa testoo.ml

testoobc: ocamldap.cma
	$(CAMLC) -o testoobc -custom -ccopt "-L. $(CFLAGS)" str.cma ocamldap.cma testoo.ml

test: testbc testopt testoobc testoo
	@echo "*** testing the bytecode library ***"
	./testbc
	@echo "*** bytecode library test passed ***"
	@echo
	@echo "*** testing the native library ***"
	./testopt
	@echo "*** native library test passed ***"

varcc:
	$(CAMLP4O) pr_o.cmo -impl varcc.ml4 -o varcc.ml
	$(CAMLC) -labels -o $@ varcc.ml
	rm -f *_tags.h *_tags.c

clean:
	rm -f *.[ao] *.cm[aio] *.cmx* *_tags.[ch] testoobc testoo testbc testopt varcc varcc.ml varcc.c* ocamldap.mli ocamldap.ml schemalexer.ml

## ocamldap 1.6.5

=== Makefile ===
-include Makefile.conf

SOURCES=ulist.ml ocamldap.mli ocamldap.ml schemalexer.mll schemaparser.ml \
ooldap.mli ooldap.ml ldifparser.ml ooldif.ml ooldif.mli libocamldap.c
RESULT=ocamldap
PACKS=netstring
CLIBS=ldap
OCAMLNCFLAGS=-inline 1000

LIBINSTALL_FILES=$(wildcard *.mli *.cmi *.cma *.cmxa *.a *.so)
OCAMLDOCFLAGS=-sort

all: dep byte-code-library
opt: dep native-code-library
reallyall: dep byte-code-library native-code-library
install: libinstall
uninstall: libuninstall

dep:
	camlp4o pr_o.cmo -impl varcc.ml4 -o varcc.ml
	ocamlc -labels -o varcc varcc.ml
	rm -f *_tags.h *_tags.c
	cpp -traditional-cpp  ocamldap.mli4 | grep -v "^\#.*" >ocamldap.mli
	cpp -traditional-cpp  ocamldap.ml4 | grep -v "^\#.*" >ocamldap.ml
	cpp -traditional-cpp  ocamldap_tags.var4 | grep -v "^\#.*" >ocamldap_tags.var
	./varcc < ocamldap_tags.var -c ocamldap_tags.c -h ocamldap_tags.h

-include OCamlMakefile

## ocamldap 2.1.7

=== Makefile ===
-include Makefile.conf

SOURCES=lber.mli lber.ml ldap_types.mli ldap_types.ml ldap_error.mli	\
ldap_error.ml ldap_protocol.mli ldap_protocol.ml ulist.ml		\
ldap_urllexer.mll ldap_url.mli ldap_url.ml ldap_filterparser.mly	\
ldap_filterlexer.mll ldap_filter.mli ldap_filter.ml ldap_funclient.mli	\
ldap_funclient.ml ldap_schemalexer.mll ldap_schema.mli			\
caseIgnoreCompare.c ldap_schema.ml ldap_dnparser.mly ldap_dnlexer.mll	\
ldap_dn.mli ldap_dn.ml ldap_ooclient.mli ldap_ooclient.ml		\
ldap_syntaxes.ml ldap_matchingrules.ml ldap_schemavalidator.ml		\
ldap_schemacheck.ml ldap_mutex.mli ldap_mutex.ml ldap_txooclient.mli	\
ldap_txooclient.ml ldif_parser.ml ldif_oo.ml ldif_oo.mli		\
ldap_funserver.mli ldap_funserver.ml ldif_changerec_parser.mly		\
ldif_changerec_lexer.mll ldif_changerec_oo.mli ldif_changerec_oo.ml	\
ldap_toplevel.ml
RESULT=ocamldap
PACKS=netstring str ssl
CFLAGS=-O3

LIBINSTALL_FILES=$(wildcard *.mli *.cmi *.cma *.cmxa *.a *.so *.o *.cmx ldap_toplevel.cmo)
OCAMLDOCFLAGS=-colorize-code

all: debug-code-library
opt: native-code-library
reallyall: byte-code-library native-code-library
install: libinstall
uninstall: libuninstall

documentation:
	ocamlfind ocamldoc -d doc/ocamldap/html -colorize-code -html -package netstring,str,ssl lber.mli ldap_types.mli ldap_error.mli ldap_protocol.mli ldap_url.mli ldap_filter.mli ldap_dn.mli ldap_funclient.mli ldap_ooclient.mli ldap_schemaparser.mli ldap_funserver.mli ldif_oo.mli ldap_toplevel.mli ldap_mutex.mli ldif_changerec_oo.mli ldap_txooclient.mli

-include OCamlMakefile

## ocamldap 2.1.8

=== Makefile ===
--- 
+++ 
@@ -4,18 +4,16 @@
 ldap_error.ml ldap_protocol.mli ldap_protocol.ml ulist.ml		\
 ldap_urllexer.mll ldap_url.mli ldap_url.ml ldap_filterparser.mly	\
 ldap_filterlexer.mll ldap_filter.mli ldap_filter.ml ldap_funclient.mli	\
-ldap_funclient.ml ldap_schemalexer.mll ldap_schema.mli			\
-caseIgnoreCompare.c ldap_schema.ml ldap_dnparser.mly ldap_dnlexer.mll	\
-ldap_dn.mli ldap_dn.ml ldap_ooclient.mli ldap_ooclient.ml		\
-ldap_syntaxes.ml ldap_matchingrules.ml ldap_schemavalidator.ml		\
-ldap_schemacheck.ml ldap_mutex.mli ldap_mutex.ml ldap_txooclient.mli	\
-ldap_txooclient.ml ldif_parser.ml ldif_oo.ml ldif_oo.mli		\
-ldap_funserver.mli ldap_funserver.ml ldif_changerec_parser.mly		\
-ldif_changerec_lexer.mll ldif_changerec_oo.mli ldif_changerec_oo.ml	\
-ldap_toplevel.ml
+ldap_funclient.ml ldap_schemalexer.mll ldap_schemaparser.mli		\
+ldap_schemaparser.ml ldap_dnparser.mly ldap_dnlexer.mll ldap_dn.mli	\
+ldap_dn.ml ldap_ooclient.mli ldap_ooclient.ml ldap_mutex.mli		\
+ldap_mutex.ml ldap_txooclient.mli ldap_txooclient.ml ldif_parser.ml	\
+ldif_oo.ml ldif_oo.mli ldap_funserver.mli ldap_funserver.ml		\
+ldif_changerec_parser.mly ldif_changerec_lexer.mll			\
+ldif_changerec_oo.mli ldif_changerec_oo.ml ldap_toplevel.ml
 RESULT=ocamldap
 PACKS=netstring str ssl
-CFLAGS=-O3
+#OCAMLFLAGS=-rectypes
 
 LIBINSTALL_FILES=$(wildcard *.mli *.cmi *.cma *.cmxa *.a *.so *.o *.cmx ldap_toplevel.cmo)
 OCAMLDOCFLAGS=-colorize-code

=== debian/changelog ===
ocamldap (2.1.8-11build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:32:33 +0000

ocamldap (2.1.8-11) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Sep 2019 09:30:35 +0200

ocamldap (2.1.8-10) unstable; urgency=medium

  * Fix FTBFS with OCaml 4.02.3

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 17 Oct 2015 20:50:38 +0200

ocamldap (2.1.8-9) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Fix versioned build-deps to ensure smoother backports
  * Compile explicitly with pcre and compiler-libs (Closes: #731405)

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 13:20:13 +0100

ocamldap (2.1.8-8) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Add ${ocaml:Provides} in debian/control

  [ Sylvain Le Gall ]
  * Put ocaml.mk at the beginning of debian/rules
  * Protect .cmi(s) by moving and restoring during build process

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 19 Dec 2009 23:08:33 +0000

ocamldap (2.1.8-7) unstable; urgency=low

  * Add myself to uploaders
  * Change inclusion order in debian/rules to workaround a CDBS bug
  * Move the package to section ocaml
  * Remove old cmi files when cleaning (Closes: #549769)
  * Upgrade Standards-Version to 3.8.3
  * Use new features of dh-ocaml (>= 0.9)
    - Generate documentation using dh_ocamldoc

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 08 Oct 2009 23:18:01 +0200

ocamldap (2.1.8-6) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Sylvain Le Gall ]
  * Use ocaml 3.10.0-9 for generating .ocamldoc-apiref automatically
  * Switch packaging to git
  * Set maintainer to Debian OCaml Maintainers
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Upgrade debian/compat to 7 (use debian/clean)
  * Upgrade Standards-Version to 3.8.0 (debian/README.source)
  * Add Homepage field to debian/control
  * Use OCAML_OCAMLDOC_* variables to generate documentatio
  * Add ${misc:Depends} to dependencies
  * Update debian/copyright file to use
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Remove obsolete debian/control.in related variables and files

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 05 Mar 2009 01:12:21 +0100

ocamldap (2.1.8-5) unstable; urgency=low

  * Build for ocaml 3.10.0
  * Tighten build dependency for ocaml 3.10.0
  * Move standard documentation to standard OCaml documentation place

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 18 Sep 2007 11:10:01 +0200

ocamldap (2.1.8-4) experimental; urgency=low

  * Add missing dependency on ocaml-nox

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 24 Jul 2007 01:31:38 +0200

ocamldap (2.1.8-3) experimental; urgency=low

  * Upgrade debian/watch version to 3,
  * Upgrade debhelper debian/compat to 5,
  * Use CDBS for debian/rules,
  * Suppress dependency on libldap2-dev and chrpath, since package
    doesn't depend on it anymore,
  * Change email address to gildor@debian.org everywhere
  * Change watch URL to sf.net
  * Rebuild for ocaml 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 24 Jul 2007 01:18:22 +0200

ocamldap (2.1.8-2) unstable; urgency=low

  * Removed control.in as per new ocaml policy.
  * Add XS-X-Vcs-Svn in control,
  * Rebuilt to fix dependency on pcre.cma (Closes: #387319)

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 15 Sep 2006 00:10:29 +0200

ocamldap (2.1.8-1) unstable; urgency=low

  * New upstream release

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 11 Jul 2006 23:18:43 +0200

ocamldap (2.1.7-2) unstable; urgency=low

  * Change my email address to gildor@debian.org,
  * Upgrade standards version to 3.7.2 (no change),
  * Made debian/control a PHONY target,

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 13 Jun 2006 09:05:09 +0200

ocamldap (2.1.7-1) unstable; urgency=low

  * New upstream version

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue,  7 Feb 2006 00:51:08 +0100

ocamldap (2.1.6-2) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 11 Jan 2006 00:03:44 +0100

ocamldap (2.1.6-1) unstable; urgency=low

  * New upstream release

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue, 13 Dec 2005 01:07:22 +0100

ocamldap (2.1.5-2) unstable; urgency=low

  * Minor cosmetic changes to the rule files
  * Remove hardcoded OCaml ABI

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri,  2 Dec 2005 22:46:26 +0100

ocamldap (2.1.5-1) unstable; urgency=low

  * New upstream release
  * Update information of copyright: new upstream website, license is LGPL
  * Set doc-base section to Apps/Programming
  * Update authors of doc-base
  * Remove libldap-ocaml.dirs, since it is now useless
  * Remove /usr/lib/ocaml/3.08.3/ from libldap-ocaml-dev.dirs (use ocamlfind
    insteed)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Mon, 10 Oct 2005 21:46:15 +0200

ocamldap (2.1.4-1) unstable; urgency=low

  * New upstream release
  * Transition to svn-buildpackage

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sun, 14 Aug 2005 02:23:27 +0200

ocamldap (2.1.3-1) unstable; urgency=low

  * New upstream release
  * Migration to Standards-Version 3.6.2.0 (no change)
  * Adapt the watch file so that it can be used by Debian QA
  * Add dependency on libocaml-ssl-dev
  * Remove the package libldap-ocaml: the library is now 100% pure OCaml
  * Use "ocamlfind ocamldoc -package ssl" to generate the documentation
  * Adpat debian/rules: removes the "mv" of the shared library (no more shared
    library)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri, 22 Jul 2005 00:13:39 +0200

ocamldap (1.6.5-3) unstable; urgency=medium

  * Rebuild against ocamlnet 1.0



=== debian/control ===
Source: ocamldap
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1~),
 debhelper (>= 7), 
 ocaml-nox (>= 3.10.0-9~),
 ocaml-findlib (>= 1.2.5),
 libocamlnet-ocaml-dev (>= 2.2.9-7~),
 libssl-ocaml-dev (>= 0.4.3-3~),
 dh-ocaml (>= 0.9)
Standards-Version: 3.8.3
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamldap.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamldap
Homepage: http://sourceforge.net/projects/ocamldap/

Package: libldap-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 libocamlnet-ocaml-dev (>= 2.2.8.1-1),
 libssl-ocaml-dev (>= 0.4.2-3),
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: LDAP bindings for OCaml 
 It supports the core ldap-client functions, including search, add,
 modify, and delete.
 .
 It has now an object oriented interface which supports the above 
 features, and some additional ones. Such as, nice data structures 
 for local ldap entries which record local modifications and can sync
 them with the server, fewer arguments needed to perform simple 
 tasks, and an API modeled after Perl's Net::LDAP.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ocamldap package
# Copyright (C) 2006 Sylvain Le Gall <gildor@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA.


include /usr/share/cdbs/1/rules/ocaml.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

PACKAGE_DEV := libldap-ocaml-dev
DESTDIR_DEV := $(CURDIR)/debian/$(PACKAGE_DEV)

DEB_MAKE_CLEAN_TARGET    := clean

DEB_MAKE_BUILD_TARGET    := all 
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET    += opt 
endif

DEB_MAKE_INSTALL_TARGET  := install \
  OCAMLFIND_INSTFLAGS="-ldconf ignore -destdir $(DESTDIR_DEV)/$(OCAML_STDLIB_DIR)"

debian/protect-stamp:
	-mv ldap_urlparser.cmi ldap_urlparser.cmi.old
	-mv testoo.cmi  testoo.cmi.old
	touch $@

pre-build:: debian/protect-stamp

clean:: debian/protect-stamp 
	-mv ldap_urlparser.cmi.old ldap_urlparser.cmi
	-mv testoo.cmi.old  testoo.cmi
	-$(RM) debian/protect-stamp

## ocamldap 2.4.1

=== debian/changelog ===
ocamldap (2.4.1-1) unstable; urgency=medium

  * Team upload
  * Update Homepage and debian/watch
  * New upstream release
  * Bump debhelper compat level to 13 and stop using cdbs
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Aug 2020 17:13:25 +0200

=== debian/control ===
Source: ocamldap
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 libocamlnet-ocaml-dev,
 libssl-ocaml-dev,
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamldap.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamldap
Homepage: https://github.com/kit-ty-kate/ocamldap

Package: libldap-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: LDAP bindings for OCaml
 It supports the core ldap-client functions, including search, add,
 modify, and delete.
 .
 It has now an object oriented interface which supports the above
 features, and some additional ones. Such as, nice data structures
 for local ldap entries which record local modifications and can sync
 them with the server, fewer arguments needed to perform simple
 tasks, and an API modeled after Perl's Net::LDAP.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p ldap

override_dh_auto_test:
	dune runtest -p ldap

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) ldap

=== debian/watch ===
version=3
https://github.com/kit-ty-kate/ocamldap/releases .*/archive/v?([0-9.]+)\.tar\.gz

## ocamldap 2.4.2

=== debian/changelog ===
ocamldap (2.4.2-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Do not run tests that use network

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Update watch file format version to 4.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * Update standards version to 4.5.1, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Aug 2021 13:12:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libocamlnet-ocaml-dev,
  libssl-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocamldap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamldap
@@ -25,6 +25,8 @@
  ${misc:Depends}
 Provides:
  ${ocaml:Provides}
+Suggests:
+ ocaml-findlib
 Description: LDAP bindings for OCaml
  It supports the core ldap-client functions, including search, add,
  modify, and delete.

=== debian/watch ===
version=4
https://github.com/kit-ty-kate/ocamldap/releases .*/archive/refs/tags/v?([0-9.]+)\.tar\.gz

## ocamldap 2.5.1

=== debian/changelog ===
ocamldap (2.5.1-1build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 02:56:47 +0200

ocamldap (2.5.1-1build7) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 09:20:25 +0200

ocamldap (2.5.1-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:08:17 +0100

ocamldap (2.5.1-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:04:15 +0100

ocamldap (2.5.1-1build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 17:41:35 +0200

ocamldap (2.5.1-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 14:39:07 +0200

ocamldap (2.5.1-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:48:16 +0200

ocamldap (2.5.1-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:47:36 +0200

ocamldap (2.5.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 01 Aug 2024 14:49:50 +0200

ocamldap (2.4.2-7) unstable; urgency=medium

  * Team upload
  * Work around Re.Pcre incompleteness

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Jul 2024 13:57:25 +0200

ocamldap (2.4.2-6) unstable; urgency=medium

  * Team upload
  * Depend on camlp-streams (Closes: #1073892)
  * Use re instead of pcre

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Jul 2024 09:43:23 +0200

ocamldap (2.4.2-5) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:48:15 +0200

ocamldap (2.4.2-4) unstable; urgency=medium

  * Team upload
  * Build-depend on libpcre-ocaml-dev (Closes: #1042469)
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Jul 2023 07:49:57 +0200

ocamldap (2.4.2-3) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 06:46:02 +0200

ocamldap (2.4.2-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 14:37:54 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
+ libcamlp-streams-ocaml-dev,
  libocamlnet-ocaml-dev,
+ libre-ocaml-dev,
  libssl-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.5.1
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocamldap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamldap
